Bug 101100 - [NEW PORT] devel/ocaml-camlidl: A stub code generator for using C/C++ libraries from ocaml
Summary: [NEW PORT] devel/ocaml-camlidl: A stub code generator for using C/C++ librari...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-07-31 15:20 UTC by Stanislav Sedov
Modified: 2006-09-04 16:27 UTC (History)
0 users

See Also:


Attachments
ocaml-camlidl-1.05.shar (7.96 KB, text/plain)
2006-07-31 15:20 UTC, Stanislav Sedov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Sedov 2006-07-31 15:20:09 UTC
CamlIDL is a stub code generator and COM binding for Objective Caml.

CamlIDL comprises two parts:

	* A stub code generator that generates the C stub code required for the
Caml/C interface, based on an MIDL specification. (MIDL stands for Microsoft's
Interface Description Language; it looks like C header files with some extras
annotations, plus a notion of object interfaces that look like C++ classess
without inheritance.)

	* A (currently small) library of functions and tools to import COM
components in Caml applications, and export Caml code as COM components. 

WWW:	http://caml.inria.fr/pub/old_caml_site/camlidl/

I've decided to add bsd.ocaml.mk to ditribution, since it was't committed to
HEAD yet.
Comment 1 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-08-01 10:23:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I'll take it.
Comment 2 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-09-04 16:27:03 UTC
State Changed
From-To: open->closed

New port added. Thanks!